MHashPPTest Class Reference

`#include <MHashPPTest.h>`

Inheritance diagram for MHashPPTest:

## Public Member Functions

| MHashPPTest (TestSuite *s)
void | testMD5 (void)
void | testCRC32 (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestMHashPP (hashid a, BitString data, BYTE *shouldbe)

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## MHashPPTest()

MHashPPTest::MHashPPTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## genericTestMHashPP()

bool MHashPPTest::genericTestMHashPP | ( | hashid | a,
|  | BitString | data,
|  | BYTE * | shouldbe )

private

compute a hash using MHashPP and compare it to a reference value

Parameters

  a | the hash algorithm that should be used by MHashPP
  data | the input of the hash algorithm
  shouldbe | the reference value of the result of the hash algorithm

Returns
  true iff shouldbe is the result of the hash algorithm a applied to data by MHashPP

## testCRC32()

void MHashPPTest::testCRC32 | ( | void |  | ) |

## testMD5()

void MHashPPTest::testMD5 | ( | void |  | ) |

test output of MHashPP class with MD5 algorithm against the test vectors given in RFC 1321

The documentation for this class was generated from the following files:

- MHashPPTest.h
- MHashPPTest.cc